## ros-melodic-jackal-navigation 0.7.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jackal_navigation)

find_package(catkin REQUIRED COMPONENTS roslaunch)

catkin_package()

roslaunch_add_file_check(launch/include/amcl.launch)
roslaunch_add_file_check(launch/amcl_demo.launch)
roslaunch_add_file_check(launch/include/gmapping.launch)
roslaunch_add_file_check(launch/gmapping_demo.launch)
roslaunch_add_file_check(launch/include/move_base.launch)
roslaunch_add_file_check(launch/odom_navigation_demo.launch)

install(
DIRECTORY launch maps params
DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-jackal-navigation (0.7.2-1stretch) stretch; urgency=high

  * Use the JACKAL_LASER_TOPIC env var as the default for the scan topic in amcl + gmapping demos (#74 <https://github.com/jackal/jackal/issues/74>)
  * Contributors: Chris I-B

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 29 Sep 2020 04:00:00 -0000

ros-melodic-jackal-navigation (0.7.1-1stretch) stretch; urgency=high

  * Remove the leading / from the gmapping default scan topic
  * Expose the scan_topic and use_map_topic parameters in the demo launch files
  * Contributors: Chris Iverach-Brereton

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 24 Aug 2020 04:00:00 -0000

ros-melodic-jackal-navigation (0.7.0-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-melodic-jackal-navigation (0.6.4-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-melodic-jackal-navigation (0.6.3-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 18 Jul 2019 04:00:00 -0000

ros-melodic-jackal-navigation (0.6.2-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-melodic-jackal-navigation (0.6.1-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 02 Aug 2018 04:00:00 -0000

ros-melodic-jackal-navigation (0.6.0-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-melodic-jackal-navigation (0.5.4-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-melodic-jackal-navigation (0.5.3-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 01 Jun 2016 04:00:00 -0000

ros-melodic-jackal-navigation (0.5.1-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 02 Feb 2015 05:00:00 -0000

ros-melodic-jackal-navigation (0.5.0-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 20 Jan 2015 05:00:00 -0000

ros-melodic-jackal-navigation (0.4.2-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 14 Jan 2015 05:00:00 -0000

ros-melodic-jackal-navigation (0.4.1-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 07 Jan 2015 05:00:00 -0000

ros-melodic-jackal-navigation (0.4.0-1stretch) stretch; urgency=high

  * Removed redundant local and global costmaps.
  * Fixed location of non-demo launch files in roslaunch-file-check in CMakeList
  * Moved rviz configurations to jackal_viz.
  * Changed config/ to params/. Moved non-demo launch files to launch/include.
  * Added gps_transform.launch for transforming GPS data to robot's world frame. Also added gps_integration_demo.launch for fusing GPS data with odomtery data. This node generates map->odom transform.
  * Modified AMCL's parameters, map and demo for Jackal.
  * Modified slam_gmapping parameters for Jackal for building a map.
  * Modified costmap and base planner parameters for the navigation without map with obstacle avoidance using laser scanner.
  * Contributors: Mike Purvis, Shokoofeh Pourmehr

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 12 Dec 2014 05:00:00 -0000

ros-melodic-jackal-navigation (0.3.0-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 10 Sep 2014 20:25:00 -0000

ros-melodic-jackal-navigation (0.2.1-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 10 Sep 2014 12:54:00 -0000

ros-melodic-jackal-navigation (0.2.0-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 09 Sep 2014 04:00:00 -0000

ros-melodic-jackal-navigation (0.1.1-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sat, 06 Sep 2014 04:00:00 -0000

ros-melodic-jackal-navigation (0.1.0-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 05 Sep 2014 04:00:00 -0000

## ros-melodic-jackal-navigation 0.7.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(jackal_navigation)

find_package(catkin REQUIRED COMPONENTS)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch/include/amcl.launch)
  roslaunch_add_file_check(launch/amcl_demo.launch)
  roslaunch_add_file_check(launch/include/gmapping.launch)
  roslaunch_add_file_check(launch/gmapping_demo.launch)
  roslaunch_add_file_check(launch/include/move_base.launch)
  roslaunch_add_file_check(launch/odom_navigation_demo.launch)
endif()

install(
DIRECTORY launch maps params
DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-jackal-navigation (0.7.9-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 08 Mar 2022 05:00:00 -0000

ros-melodic-jackal-navigation (0.7.8-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 18 Jan 2022 05:00:00 -0000

ros-melodic-jackal-navigation (0.7.7-1bionic) bionic; urgency=high

  * Enable roslaunch_add_file_check when CATKIN_ENABLE_TESTING=true
  * Contributors: PN:Ruichao Wu2

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 01 Oct 2021 04:00:00 -0000

ros-melodic-jackal-navigation (0.7.6-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sun, 18 Jul 2021 04:00:00 -0000

ros-melodic-jackal-navigation (0.7.5-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 24 Mar 2021 04:00:00 -0000

ros-melodic-jackal-navigation (0.7.4-1bionic) bionic; urgency=high

  * Bumped CMake version to avoid author warning.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 16 Mar 2021 04:00:00 -0000

ros-melodic-jackal-navigation (0.7.3-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 08 Mar 2021 05:00:00 -0000

ros-melodic-jackal-navigation (0.7.2-1bionic) bionic; urgency=high

  * Use the JACKAL_LASER_TOPIC env var as the default for the scan topic in amcl + gmapping demos (#74 <https://github.com/jackal/jackal/issues/74>)
  * Contributors: Chris I-B

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 29 Sep 2020 04:00:00 -0000

ros-melodic-jackal-navigation (0.7.1-1bionic) bionic; urgency=high

  * Remove the leading / from the gmapping default scan topic
  * Expose the scan_topic and use_map_topic parameters in the demo launch files
  * Contributors: Chris Iverach-Brereton

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 24 Aug 2020 04:00:00 -0000

ros-melodic-jackal-navigation (0.7.0-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-melodic-jackal-navigation (0.6.4-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-melodic-jackal-navigation (0.6.3-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 18 Jul 2019 04:00:00 -0000

ros-melodic-jackal-navigation (0.6.2-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-melodic-jackal-navigation (0.6.1-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 02 Aug 2018 04:00:00 -0000

ros-melodic-jackal-navigation (0.6.0-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-melodic-jackal-navigation (0.5.4-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-melodic-jackal-navigation (0.5.3-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 01 Jun 2016 04:00:00 -0000

ros-melodic-jackal-navigation (0.5.1-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 02 Feb 2015 05:00:00 -0000

ros-melodic-jackal-navigation (0.5.0-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 20 Jan 2015 05:00:00 -0000

ros-melodic-jackal-navigation (0.4.2-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 14 Jan 2015 05:00:00 -0000

ros-melodic-jackal-navigation (0.4.1-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 07 Jan 2015 05:00:00 -0000

ros-melodic-jackal-navigation (0.4.0-1bionic) bionic; urgency=high

  * Removed redundant local and global costmaps.
  * Fixed location of non-demo launch files in roslaunch-file-check in CMakeList
  * Moved rviz configurations to jackal_viz.
  * Changed config/ to params/. Moved non-demo launch files to launch/include.
  * Added gps_transform.launch for transforming GPS data to robot's world frame. Also added gps_integration_demo.launch for fusing GPS data with odomtery data. This node generates map->odom transform.
  * Modified AMCL's parameters, map and demo for Jackal.
  * Modified slam_gmapping parameters for Jackal for building a map.
  * Modified costmap and base planner parameters for the navigation without map with obstacle avoidance using laser scanner.
  * Contributors: Mike Purvis, Shokoofeh Pourmehr

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 12 Dec 2014 05:00:00 -0000

ros-melodic-jackal-navigation (0.3.0-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 10 Sep 2014 20:25:00 -0000

ros-melodic-jackal-navigation (0.2.1-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 10 Sep 2014 12:54:00 -0000

ros-melodic-jackal-navigation (0.2.0-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 09 Sep 2014 04:00:00 -0000

ros-melodic-jackal-navigation (0.1.1-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sat, 06 Sep 2014 04:00:00 -0000

ros-melodic-jackal-navigation (0.1.0-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 05 Sep 2014 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-jackal-navigation
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-jackal-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-amcl, ros-melodic-gmapping, ros-melodic-map-server, ros-melodic-move-base, ros-melodic-urdf, ros-melodic-xacro
Description: Launch files and code for autonomous navigation of the Jackal

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-jackal-navigation//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
